<?xml version="1.0" encoding="UTF-8"?>

<ROOT xmlns:xsi='http://www.w3.org/2001/XMLSchema-instance' xsi:noNamespaceSchemaLocation='http://www.oneit.com.au/schemas/5.2/BusinessObject.xsd'>

    <BUSINESSCLASS  name="CultureNarrative" package="performa.orm">

        <IMPORT value="performa.orm.types.*"/>
        
        <TABLE  name="tl_culture_narrative" tablePrefix="object"    polymorphic="FALSE">

            <ATTRIB name="Notes"        type="String"       dbcol="narrative_notes" />
            <ATTRIB name="ColorCode"    type="ColorCode"    dbcol="color_code"      attribHelper="EnumeratedAttributeHelper" />

            <SINGLEREFERENCE    name="CultureElement"           type="CultureElement"           dbcol="culture_element_number"      backreferenceName="Narratives"/>
            <SINGLEREFERENCE    name="CultureElementQuestion"   type="CultureElementQuestion"   dbcol="culture_element_quest_id"    backreferenceName="Narratives"/>
            <SINGLEREFERENCE    name="CultureElementRating"     type="CultureElementRating"     dbcol="culture_element_rating_id"   backreferenceName="Narratives"/>
            
        </TABLE>
                
        <SEARCH type="All"  paramFilter="tl_culture_narrative.object_id is not null"  orderBy="tl_culture_narrative.object_id" />

    </BUSINESSCLASS>
    
</ROOT>